summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--defaultenv/bin/init18
1 files changed, 11 insertions, 7 deletions
diff --git a/defaultenv/bin/init b/defaultenv/bin/init
index b371c423a9..7452bb6a7a 100644
--- a/defaultenv/bin/init
+++ b/defaultenv/bin/init
@@ -24,11 +24,15 @@ if [ -f /env/bin/init_board ]; then
. /env/bin/init_board
fi
-echo
-echo -n "Hit any key to stop autoboot: "
-timeout -a $autoboot_timeout
-if [ $? != 0 ]; then
- exit
+if [ -f /env/bin/boot_board ]; then
+ . /env/bin/boot_board
+else
+ echo
+ echo -n "Hit any key to stop autoboot: "
+ timeout -a $autoboot_timeout
+ if [ $? != 0 ]; then
+ exit
+ fi
+
+ boot
fi
-
-boot